import { OnInit } from '@angular/core';
import { ChartInputMutli, ChartInputStreamVar } from '../ChartDataModel';
import { ModalController } from '@ionic/angular';
export declare class TapVariableDataPopupComponent implements OnInit {
    private modalController;
    constructor(modalController: ModalController);
    ngOnInit(): void;
    legend: boolean;
    showLabels: boolean;
    animations: boolean;
    xAxis: boolean;
    yAxis: boolean;
    showYAxisLabel: boolean;
    showXAxisLabel: boolean;
    timeline: boolean;
    xAxisLabel: string;
    colorScheme: {
        domain: string[];
    };
    results: ChartInputMutli[];
    value: string;
    label: string;
    index: number;
    set variable(inputs: ChartInputStreamVar);
    currentValue: number;
    currentDate: string;
    dismissModal(): void;
    digit(n: number): string;
    getCurrentTime(): string;
}
